Skip to main content
`Ctrl`+`K`

# DMLabelEphemeralSetLabel

Set the base label for this ephemeral label

## Synopsis

    #include "petscdmlabelephemeral.h"
    PetscErrorCode DMLabelEphemeralSetLabel(DMLabel label, DMLabel olabel)

Not Collective

## Input Parameters

- label - the `DMLabel`

- olabel - the base label for this ephemeral label

## Note

Ephemeral labels are produced automatically from a base label and a `DMPlexTransform`.

## See Also

`DMLabelEphemeralGetLabel()`, `DMLabelEphemeralSetTransform()`, `DMLabelSetType()`

## Level

intermediate

## Location

src/dm/label/impls/ephemeral/dmlabeleph.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages